-- Granite
minetest.register_ore({
    ore_type       = "sheet",
    ore            = "vox_core:granite",
    wherein        = "vox_core:stone",
    clust_scarcity = 180 * 180 * 180,  -- Decrease scarcity to make more common
    clust_num_ores = 6,
    clust_size     = 3,
    y_min          = -31000,
    y_max          = 31000,
    biomes         = {"mountains"}
})

-- Diorite
minetest.register_ore({
    ore_type       = "stratum",
    ore            = "vox_core:diorite",
    wherein        = "vox_core:stone",
    clust_scarcity = 120 * 120 * 120,
    clust_num_ores = 4,
    clust_size     = 3,
    y_min          = -31000,  -- Adjust for greater depth
    y_max          = 31000,   -- Adjust for greater height
    biomes         = {"grassland", "forest"}  -- Restrict to specific biomes
})

-- Andesite
minetest.register_ore({
    ore_type       = "sheet",
    ore            = "vox_core:andesite",
    wherein        = "vox_core:stone",
    clust_scarcity = 120 * 120 * 120,  -- Increase scarcity
    clust_num_ores = 4,
    clust_size     = 3,
    y_min          = -31000,  -- Adjust for greater depth
    y_max          = 31000,   -- Adjust for greater height
    biomes         = {"grassland", "forest"}  -- Restrict to specific biomes
})

-- Basalt
minetest.register_ore({
    ore_type       = "stratum",
    ore            = "vox_core:basalt",
    wherein        = "vox_core:stone",
    clust_scarcity = 100 * 100 * 100,  -- Increase scarcity
    clust_num_ores = 2,
    clust_size     = 2,
    y_min          = -31000,  -- Adjust for greater depth
    y_max          = 31000,   -- Adjust for greater height
    biomes         = {"tundra", "icesheet"}  -- Restrict to specific biomes
})

-- Marble
minetest.register_ore({
    ore_type       = "sheet",
    ore            = "vox_core:marble",
    wherein        = "vox_core:stone",
    clust_scarcity = 180 * 180 * 180,  -- Decrease scarcity to make more common
    clust_num_ores = 6,
    clust_size     = 3,
    y_min          = -31000,
    y_max          = 31000,
    biomes         = {"mountains"}
})
-- Chalk
minetest.register_ore({
    ore_type       = "sheet",
    ore            = "vox_core:chalk",
    wherein        = "vox_core:stone",
    clust_scarcity = 120 * 120 * 120,  -- Increase scarcity
    clust_num_ores = 3,
    clust_size     = 2,
    y_min          = -31000,  -- Adjust for greater depth
    y_max          = 31000,   -- Adjust for greater height
    biomes         = {"desert", "grassland"}  -- Restrict to specific biomes
})

-- Limestone
minetest.register_ore({
    ore_type       = "sheet",
    ore            = "vox_core:limestone",
    wherein        = "vox_core:stone",
    clust_scarcity = 180 * 180 * 180,  -- Decrease scarcity to make more common
    clust_num_ores = 6,
    clust_size     = 3,
    y_min          = -31000,
    y_max          = 31000,
    biomes         = {"mountains"}
})

-- Obsidian
minetest.register_ore({
    ore_type       = "vein",
    ore            = "vox_core:obsidian",
    wherein        = "vox_core:stone",
    clust_scarcity = 100 * 100 * 100,
    clust_num_ores = 1,
    clust_size     = 1,
    y_min          = -31000,  -- Adjust for greater depth
    y_max          = 31000,   -- Adjust for greater height
    biomes         = {"volcanic"}  -- Restrict to specific biomes
})
