-- -------------------------------------------------------------- --
-- ORES
-- -------------------------------------------------------------- --

-- Coal Ore
minetest.register_ore({
    ore_type       = "scatter",
    ore            = "vox_core:coal_ore",
    wherein        = "vox_core:stone",
    clust_scarcity = 10 * 10 * 10,  -- Make coal more common
    clust_num_ores = 12,
    clust_size     = 6,
    y_min          = -31000,
    y_max          = 31000,
    biomes         = {"grassland", "forest", "desert", "tundra", "icesheet", "savanna", "volcanic", "mountain", "painted_mesa"}
})

-- Uranium Ore
minetest.register_ore({
    ore_type       = "scatter",
    ore            = "vox_core:uranium_ore",
    wherein        = "vox_core:stone",
    clust_scarcity = 400 * 400 * 400,  -- Adjust scarcity
    clust_num_ores = 3,
    clust_size     = 2,
    y_min          = -31000,
    y_max          = 31000,
    biomes         = {"tundra", "desert", "volcanic", "mountain"}
})

-- Bone Ore
minetest.register_ore({
    ore_type       = "scatter",
    ore            = "vox_core:bone_ore",
    wherein        = "vox_core:stone",
    clust_scarcity = 100 * 100 * 100,  -- Adjust scarcity
    clust_num_ores = 4,
    clust_size     = 3,
    y_min          = -31000,
    y_max          = 31000,
    biomes         = {"tundra", "desert", "savanna", "volcanic"}
})

-- Iron Ore
minetest.register_ore({
    ore_type       = "scatter",
    ore            = "vox_core:iron_ore",
    wherein        = "vox_core:stone",
    clust_scarcity = 15 * 15 * 15,  -- Make iron more common
    clust_num_ores = 10,
    clust_size     = 5,
    y_min          = -31000,
    y_max          = 31000,
    biomes         = {"grassland", "forest", "desert", "tundra", "icesheet", "savanna", "volcanic", "mountain", "painted_mesa"}
})

-- Copper Ore
minetest.register_ore({
    ore_type       = "scatter",
    ore            = "vox_core:copper_ore",
    wherein        = "vox_core:stone",
    clust_scarcity = 20 * 20 * 20,  -- Adjust scarcity
    clust_num_ores = 8,
    clust_size     = 4,
    y_min          = -31000,
    y_max          = 31000,
    biomes         = {"grassland", "forest", "desert", "tundra", "savanna", "volcanic", "mountain"}
})

-- Tin Ore
minetest.register_ore({
    ore_type       = "scatter",
    ore            = "vox_core:tin_ore",
    wherein        = "vox_core:stone",
    clust_scarcity = 25 * 25 * 25,  -- Adjust scarcity
    clust_num_ores = 6,
    clust_size     = 3,
    y_min          = -31000,
    y_max          = 31000,
    biomes         = {"grassland", "forest", "desert", "tundra", "savanna", "volcanic", "mountain"}
})

-- Gold Ore
minetest.register_ore({
    ore_type       = "scatter",
    ore            = "vox_core:gold_ore",
    wherein        = "vox_core:stone",
    clust_scarcity = 50 * 50 * 50,  -- Adjust scarcity
    clust_num_ores = 5,
    clust_size     = 3,
    y_min          = -31000,
    y_max          = 31000,
    biomes         = {"desert", "volcanic", "mountain", "painted_mesa"}
})

-- Diamond Ore
minetest.register_ore({
    ore_type       = "scatter",
    ore            = "vox_core:diamond_ore",
    wherein        = "vox_core:stone",
    clust_scarcity = 100 * 100 * 100,  -- Adjust scarcity
    clust_num_ores = 3,
    clust_size     = 2,
    y_min          = -31000,
    y_max          = -50,
    biomes         = {"mountain", "volcanic"}
})

-- Emerald Ore
minetest.register_ore({
    ore_type       = "scatter",
    ore            = "vox_core:emerald_ore",
    wherein        = "vox_core:stone",
    clust_scarcity = 150 * 150 * 150,  -- Adjust scarcity
    clust_num_ores = 4,
    clust_size     = 3,
    y_min          = -31000,
    y_max          = 31000,
    biomes         = {"forest", "mountain"}
})

-- Ruby Ore
minetest.register_ore({
    ore_type       = "scatter",
    ore            = "vox_core:ruby_ore",
    wherein        = "vox_core:stone",
    clust_scarcity = 150 * 150 * 150,  -- Adjust scarcity
    clust_num_ores = 4,
    clust_size     = 3,
    y_min          = -31000,
    y_max          = 31000,
    biomes         = {"desert", "volcanic"}
})

-- Sapphire Ore
minetest.register_ore({
    ore_type       = "scatter",
    ore            = "vox_core:sapphire_ore",
    wherein        = "vox_core:stone",
    clust_scarcity = 150 * 150 * 150,  -- Adjust scarcity
    clust_num_ores = 4,
    clust_size     = 3,
    y_min          = -31000,
    y_max          = 31000,
    biomes         = {"tundra", "icesheet"}
})

-- Amethyst Ore
minetest.register_ore({
    ore_type       = "scatter",
    ore            = "vox_core:amethyst_ore",
    wherein        = "vox_core:stone",
    clust_scarcity = 150 * 150 * 150,  -- Adjust scarcity
    clust_num_ores = 4,
    clust_size     = 3,
    y_min          = -31000,
    y_max          = 31000,
    biomes         = {"forest", "mountain"}
})

-- Topaz Ore
minetest.register_ore({
    ore_type       = "scatter",
    ore            = "vox_core:topaz_ore",
    wherein        = "vox_core:stone",
    clust_scarcity = 150 * 150 * 150,  -- Adjust scarcity
    clust_num_ores = 4,
    clust_size     = 3,
    y_min          = -31000,
    y_max          = 31000,
    biomes         = {"desert", "savanna"}
})

-- Peridot Ore
minetest.register_ore({
    ore_type       = "scatter",
    ore            = "vox_core:peridot_ore",
    wherein        = "vox_core:stone",
    clust_scarcity = 150 * 150 * 150,  -- Adjust scarcity
    clust_num_ores = 4,
    clust_size     = 3,
    y_min          = -31000,
    y_max          = 31000,
    biomes         = {"forest", "grassland"}
})

-- Opal Ore
minetest.register_ore({
    ore_type       = "scatter",
    ore            = "vox_core:opal_ore",
    wherein        = "vox_core:stone",
    clust_scarcity = 150 * 150 * 150,  -- Adjust scarcity
    clust_num_ores = 4,
    clust_size     = 3,
    y_min          = -31000,
    y_max          = 31000,
    biomes         = {"forest", "mountain"}
})

-- Onyx Ore
minetest.register_ore({
    ore_type       = "scatter",
    ore            = "vox_core:onyx_ore",
    wherein        = "vox_core:stone",
    clust_scarcity = 150 * 150 * 150,  -- Adjust scarcity
    clust_num_ores = 4,
    clust_size     = 3,
    y_min          = -31000,
    y_max          = 31000,
    biomes         = {"volcanic", "mountain"}
})